Hacking R4 for 2ds

TheSilentGecko

Member
OP
Newcomer
Joined
Oct 4, 2020
Messages
20
Trophies
0
Age
21
XP
56
Country
Italy
Hello, today I tried to use my old R4 on my 2ds but it didn't work. I used it a lot on my old ds (which is dead now unfortunately) but since I passed to my 2ds (in 2013) the R4 didn't work anymore. I asked a friend to help me and we tried to install the latest kernel for my R4 (we think it's wood 1.62) but it still doesn't work. Is there any way I can use it or it just cannot work on my 2ds? Thanks in advance for those who'll answer me.
(Here's a pic of my R4) WhatsApp Image 2020-10-04 at 10.57.35 PM.jpeg
 

BaamAlex

S̶̥͝l̷̹̀͗e̶̼̖̩̅͊e̷̛̦͉̦p̷̘͌͝i̵͇̠̞̿̌n̷̰͚͌̓͝g̷̦̲̍̆͝
Member
Joined
Jul 23, 2018
Messages
4,188
Trophies
1
Age
26
XP
3,490
Country
Germany
You can use twilight menu++ instead.
 

BaamAlex

S̶̥͝l̷̹̀͗e̶̼̖̩̅͊e̷̛̦͉̦p̷̘͌͝i̵͇̠̞̿̌n̷̰͚͌̓͝g̷̦̲̍̆͝
Member
Joined
Jul 23, 2018
Messages
4,188
Trophies
1
Age
26
XP
3,490
Country
Germany
Do you have cfw already installed? On your 2ds?
 

Tac 21

Well-Known Member
Member
Joined
Feb 2, 2008
Messages
887
Trophies
0
XP
871
Country
Canada
yes you should!

it'll probably work after that.... if not then your R4 has a timebomb on it so you have to revert the calendar year to play it

--------------------- MERGED ---------------------------

it'll probably work after you do

if not it has a timebomb on it- revert the calendar a few years to get it to work
 

BaamAlex

S̶̥͝l̷̹̀͗e̶̼̖̩̅͊e̷̛̦͉̦p̷̘͌͝i̵͇̠̞̿̌n̷̰͚͌̓͝g̷̦̲̍̆͝
Member
Joined
Jul 23, 2018
Messages
4,188
Trophies
1
Age
26
XP
3,490
Country
Germany
It says my 2ds's version must be 11.13.0 or below. My 2ds has the version 11.13.0-45E. Is that alright?
You answered your question already by yourself xD
The 45E doesn't matter. This is the browser version afaik.
 

TheSilentGecko

Member
OP
Newcomer
Joined
Oct 4, 2020
Messages
20
Trophies
0
Age
21
XP
56
Country
Italy
You answered your question already by yourself xD
The 45E doesn't matter. This is the browser version afaik.
When I try to install homebrew I click on the “PROCEED TO HAXX” button but then the 2ds gives me an errror message that says "There's been an error. Save software data and restart the console". What should I do? :<
 

fmkid

Just another GBATemp's random guy
Member
Joined
Apr 23, 2015
Messages
1,914
Trophies
0
XP
1,397
Country
Colombia
You can use twilight menu++ instead.
Only with modify his console (with B9S + Luma CFW) will be enough to use his R4 card (because Luma itself applies some specific patches to enable the use of a lot of DS flashcards). TWLMenu++ is possibly not necessary in this case, I think
 

TheSilentGecko

Member
OP
Newcomer
Joined
Oct 4, 2020
Messages
20
Trophies
0
Age
21
XP
56
Country
Italy
Only with modify his console (with B9S + Luma CFW) will be enough to use his R4 card (because Luma itself applies some specific patches to enable the use of a lot of DS flashcards). TWLMenu++ is possibly not necessary in this case, I think
Don't worry I've already installed Luma and B9S. Now I just have to figure out how to install the TWLMenu++ ... (btw loving your pfp <3)
 
  • Like
Reactions: zxr750j

fmkid

Just another GBATemp's random guy
Member
Joined
Apr 23, 2015
Messages
1,914
Trophies
0
XP
1,397
Country
Colombia
Don't worry I've already installed Luma and B9S. Now I just have to figure out how to install the TWLMenu++ ... (btw loving your pfp <3)
Well, as your original intention was to use again your old R4 flashcard, then again, I think that is not necessary to use/install TWLMenu++

If you want, you can test now to open your R4 normally and see what happens (of course, you must have to set the proper kernel for your R4 on its microSD root).

PS: And of course, TAKE THAT!
 

TheSilentGecko

Member
OP
Newcomer
Joined
Oct 4, 2020
Messages
20
Trophies
0
Age
21
XP
56
Country
Italy
Well, as your original intention was to use again your old R4 flashcard, then again, I think that is not necessary to use/install TWLMenu++

If you want, you can test now to open your R4 normally and see what happens (of course, you must have to set the proper kernel for your R4 on its microSD root).

PS: And of course, TAKE THAT!
My problem is exactly finding the right kernel. I tried to go on the original site (www.r4isdhc.com) but it says that my r4 is discontinued and doesn't provide any downloads... I tried downloading the wood 1.62 but it still doesn't work :T
 

fmkid

Just another GBATemp's random guy
Member
Joined
Apr 23, 2015
Messages
1,914
Trophies
0
XP
1,397
Country
Colombia
My problem is exactly finding the right kernel. I tried to go on the original site (www.r4isdhc.com) but it says that my r4 is discontinued and doesn't provide any downloads... I tried downloading the wood 1.62 but it still doesn't work :T
Oh, I see.

Perharps you can find any compatible kernel on this web:

https://www.linfoxdomain.com/nintendo/ds/

And also, you can try with YSMenu generic kernel from here (instead of Wood kernel):

https://gbatemp.net/download/retrogamefan-multi-cart-update.35737/

If nothing of that works for "revive" your flashcard, then proceed with TWLMenu (instead of R4) as was indicated above :teach:
 
Last edited by fmkid,

TheSilentGecko

Member
OP
Newcomer
Joined
Oct 4, 2020
Messages
20
Trophies
0
Age
21
XP
56
Country
Italy
Oh, I see.

Perharps you can find any compatible kernel on this web:

https://www.linfoxdomain.com/nintendo/ds/

And also, you can try with YSMenu generic kernel from here (instead of Wood kernel):

https://gbatemp.net/download/retrogamefan-multi-cart-update.35737/

If nothing of that works for "revive" your flashcard, then proceed with TWLMenu (instead of R4) as was indicated above :teach:
Ok so I tried with the generic kernel and it actually opens up the R4 (instead of giving me an error message) but then it gets stuck on the "loading..." screen. I even changed the date to 13 years ago to be sure but nothing :<
 
General chit-chat
Help Users
    KennieDaMeanie @ KennieDaMeanie: Aye soundbar came in has a nice little punch for 70 bucks